Subject: bug#54970: 28.1; Some emoji no longer display

From: Howard Melman <[email-masked]>
Date: Sun, 17 Apr 2022 15:40:42 -0400

Thanks for the elided info, I get it now.

> On Apr 17, 2022, at 2:58 PM, Eli Zaretskii <[email-masked]> wrote:
>> 
>> Well C-f and C-b seem to move point between them which is somewhat startling.
> 
> No, they shouldn't.  If they do, it means you don't have character
> composition working.  "C-u C-x =" should describe the composition of
> it happened.

Yes I see that.  I swear that at the beginning of this when I first used
insert-char to add FE0F after 1f37d they didn't compose, but I
can't reproduce that now.

>> In an emacs -Q in the scratch buffer I inserted a lone U+1F37D 
>> Toggling use-default-font-for-symbols had no effect on its display.  
> 
> It will only have effect if the default font has a glyph for that character.

Ah I was confusing default font with default fontset.

And I gather that something is loading Apple Color Emoji into my
fontset when I type something emacs thinks it can display.
Because if I do describe-fontset in a new emacs -Q Apple Color Emoji
isn't there, but if I insert the man emoji (which displays) and do
describe-fontset again Apple Color Emoji is there.

Thanks, I think I'm caught up now. Thanks for the all the handholding.

Howard